List users
curl --request GET \
--url https://api.select.dev/api/{organization_id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.select.dev/api/{organization_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.select.dev/api/{organization_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"email_address": "<string>",
"identity_provider": "<string>",
"picture": "<string>",
"last_login_sso_groups": [
"<string>"
],
"num_pages_visited_last_2_months": 123,
"last_login_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity": {
"id": "<string>",
"display_name": "<string>",
"usage_group_details": {
"set_name": "<string>",
"group_name": "<string>"
},
"parent_id": "<string>"
},
"organization_id": "<string>",
"email_address": "<string>",
"sso_group_name": null,
"granted_to_team_name": null,
"is_default": false
}
]
}
],
"remaining_count": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}users
List users
Retrieve all users in an organization with pagination.
GET
/
api
/
{organization_id}
/
users
List users
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful Response
⌘I

